Description

i updated to 1.15.3 and now steam link wont work anymore. i triad getting answers and asking for help on there discord but its full of
dick heads. with smart ass comments just typing cause the can.

the issues is when it gets to the loading of the game screen loading shader's or not. it will freeze the screen. but on my computer in
the other room its displaying fine. and the steam link is getting sound. but the screen is stuck.

i went back to Cemu 1.15.2 and it worked fine.

my steam link is running at 720p

History

#1 - 07/06/2019 10:56 PM - indiandennis

| had the same problem and took a closer look. It seems like this is not a Cemu problem. When steam and Cemu are both running as admin or both
not admin, there is an issue when Steam captures the emulator's frames using game capture. During the transition from standard desktop capture to
the game capture, Steam either crashes or the video stream stops working. This may be a Cemu bug if it is somehow interfering with NVFBC or IFR,
but it seems to me to most likely be a Steam remote play bug.

This is easily reproducible for testing purposes using the Steam link app on a phone. Add Cemu to steam as a non-steam game, add -f -g "gamepath"
in the "launch options" setting on the game in steam. Then, start remote play from your phone and try to play the shortcut you created through steam.
It will either crash steam on the host immediately or stream the audio and take input while the video stream is frozen.

| have found a dirty fix to this issue. You can run Cemu as admin without a UAC prompt by creating a task in Task Scheduler with elevated
permissions to run it. Then, add task scheduler to steam and add the arguments in the launch options. This is simplified with WinAero, which creates
a shortcut that you can copy the info from. When you run using this shortcut, it should work correctly most of the time. An AutoHotkey script may be
necessary to switch the active window to Cemu.

I think it is safe to close this issue as it is most likely a problem with Steam, especially since Cemu continues running normally despite the problems
with the stream.

#2 - 07/06/2019 11:41 PM - indiandennis

As a follow up, just in case it is a Cemu bug, here are some logs, the most relevant possible line of which is
CDesktopCaptureDWM: Unable to select DXGI output that matches capture region
[[[https://gist.github.com/indiandennis/2e6db7623b1102433b315f53491cb586]]]

Here's a link to the Steam bug report as well:
[[[https://steamcommunity.com/groups/homestream/discussions/1/1642041886379251281/]]]

#3 - 07/30/2020 07:52 PM - itrackbugs

| have the same issue running games full screen with Steam Link and Cemu releases 1.15.3 (also tested on version 1.20.0). | went back to version
1.15.2 and the freezing video stream problem does not occur when games are launched full screen. So something has changed on release 1.15.3
regarding the video streaming. While looking for a solution to this, | noticed that the creation of Cemu's window panel containing the wxGLCanvas for
rendering has changed between versions 1.15.2 and 1.15.3:

e In version 1.15.2 and earlier, the window panel containing wxGLCanvas is created when Cemu starts and is initially hidden until a game is
launched;
e In version 1.15.3 and later, the window panel containing wxGLCanvas is created when a game is launched.

| believe that this change may causes Steam Link to fail capturing the window's video stream...

The current Workaround to make Steam Link stream video without freezing on version 1.15.3 and later, is to launch games in windowed mode
(without the full screen "-f' parameter). This will stream the content of the Cemu's window but the main menu bar will remain visible.
Here's two suggestions:

1. Add support to hide the menu bar when games are also running windowed and make it visible on mouse hover the top area of the window, this
follows the same behavior as full screen mode; or

2. If possible, make an option to change the creation of the "wxGLCanvas" window panel like it was in version 1.15.2 and earlier (so it is created at

Cemu's startup and remains hidden until a game is started).

Hopefully this will help resolve this issue.
